Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPrinter.PrinterState

    java.lang.Object
      java.lang.Enum<QPrinter.PrinterState>
          com.trolltech.qt.gui.QPrinter.PrinterState

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPrinter.PrinterState>

Enclosing class:
  QPrinter

    public static enum QPrinter.PrinterState

extends java.lang.Enum<QPrinter.PrinterState>
implements QtEnumerator

Press link for info on QPrinter.PrinterState

Enum Constant Summary
`Aborted` Internal.
`Active` Internal.
`Error` Internal.
`Idle` Internal.

Method Summary
`static QPrinter.PrinterState` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.PrinterState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPrinter.PrinterState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Idle

    public static final QPrinter.PrinterState Idle

  Internal.

### Active

    public static final QPrinter.PrinterState Active

  Internal.

### Aborted

    public static final QPrinter.PrinterState Aborted

  Internal.

### Error

    public static final QPrinter.PrinterState Error

  Internal.

Method Detail

### values

    public static final QPrinter.PrinterState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPrinter.PrinterState c : QPrinter.PrinterState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPrinter.PrinterState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.PrinterState resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD